gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.WidgetAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype WidgetAccessible = WidgetAccessible (ManagedPtr WidgetAccessible)
- class (GObject o, IsDescendantOf WidgetAccessible o) => IsWidgetAccessible o
- toWidgetAccessible :: (MonadIO m, IsWidgetAccessible o) => o -> m WidgetAccessible

# Exported types

newtype WidgetAccessible Source #

Memory-managed wrapper type.

Constructors

WidgetAccessible (ManagedPtr WidgetAccessible) |

#### Instances

Instances details

Eq WidgetAccessible Source # |
Instance details Defined in GI.Gtk.Objects.WidgetAccessible Methods (==) :: WidgetAccessible -> WidgetAccessible -> Bool Source # (/=) :: WidgetAccessible -> WidgetAccessible -> Bool Source #
GObject WidgetAccessible Source # |
Instance details Defined in GI.Gtk.Objects.WidgetAccessible
ManagedPtrNewtype WidgetAccessible Source # |
Instance details Defined in GI.Gtk.Objects.WidgetAccessible Methods toManagedPtr :: WidgetAccessible -> ManagedPtr WidgetAccessible Source #
TypedObject WidgetAccessible Source # |
Instance details Defined in GI.Gtk.Objects.WidgetAccessible Methods glibType :: IO GType Source #
HasParentTypes WidgetAccessible Source # |
Instance details Defined in GI.Gtk.Objects.WidgetAccessible
IsGValue (Maybe WidgetAccessible) Source # | Convert `WidgetAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.WidgetAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe WidgetAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe WidgetAccessible) Source #
type ParentTypes WidgetAccessible Source # |
Instance details Defined in GI.Gtk.Objects.WidgetAccessible type ParentTypes WidgetAccessible = '[Accessible, Object, Object, Component]

class (GObject o, IsDescendantOf WidgetAccessible o) => IsWidgetAccessible o Source #

Type class for types which can be safely cast to `WidgetAccessible`, for instance with `toWidgetAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf WidgetAccessible o) => IsWidgetAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.WidgetAccessible

toWidgetAccessible :: (MonadIO m, IsWidgetAccessible o) => o -> m WidgetAccessible Source #

Cast to `WidgetAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.